[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
bug#33736: flymake test different-diagnostic-types confuses gcc and CC
From: |
Glenn Morris |
Subject: |
bug#33736: flymake test different-diagnostic-types confuses gcc and CC |
Date: |
Fri, 14 Dec 2018 14:51:45 -0500 |
User-agent: |
Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/) |
Glenn Morris wrote:
> flymake-test's different-diagnostic-types is skipped if "gcc" seems too old.
> However, what matters to the rest of the test is $CC, not gcc.
AFAICS the tests are gcc-specific, so the Makefile should enforce that:
--- i/test/lisp/progmodes/flymake-resources/Makefile
+++ w/test/lisp/progmodes/flymake-resources/Makefile
@@ -8,6 +8,6 @@ CC_OPTS = -Wall -Wextra
## normally use flymake, so it seems like just avoiding the issue
## in this test is fine. Set flymake-log-level to 3 to investigate.
check-syntax:
- GCC_COLORS= $(CC) $(CC_OPTS) ${CHK_SOURCES} || true
+ GCC_COLORS= gcc $(CC_OPTS) ${CHK_SOURCES} || true
# eof